Bug 171068 - fail to install losetup
fail to install losetup
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 17:14 EDT by Charles Pearson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 07:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Pearson 2005-10-17 17:14:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050517 Firefox/1.0.4 (Debian package 1.0.4-2)

Description of problem:
I try to update my util-linux for AES encryption.
I can't update /sbin/losetup the error was "operation not permitted". I try ls -al /sbin/losetup
root@0[sbin]# ls -al losetup
-rwxr-xr-x  1 root root 37308 Sep 23 06:54 losetup
this apear to be normal when I try to delete the file (root) the folling error apear:
root@0[sbin]# rm -rf losetup
rm: cannot remove `losetup': Operation not permitted
I try to start kernel in init 1 but the same error apear and I try to delete the file on a live cd (knoppix) the same thing.. I scan the drive with fsck -cf /dev/sdb3 all are normal! there was not corruption in file sytem
I write an email the util-linux develloper he tell to me that:
-----------------
If you cannot delete a file then maybe you have permission problems
(you are not root, or the file has non-Unix attributes that prevent
deletion), or maybe the file's directory is read-only or ...
Or maybe the filesystem was corrupted.

Anyway, this is unrelated to the contents of the file, so unrelated
to the util-linux package.
-----------------
thanks for your collaboration
Charles

Version-Release number of selected component (if applicable):
util-linux

How reproducible:
Always

Steps to Reproduce:
1.rm -rf /sbin/losetup (as root)
2.
3.
  

Actual Results:  rm: cannot remove `losetup': Operation not permitted

Additional info:
Comment 1 Karel Zak 2005-10-20 07:09:15 EDT
Please, try it without selinux (boot with selinux=0 option) and check the file
attributes:

 # getfattr /sbin/losetup
 # id
 # ls -la /sbin/losetup
Comment 2 Charles Pearson 2005-10-20 19:37:07 EDT
[root@localhost charles]# getfattr /sbin/losetup
[root@localhost charles]# id
uid=0(root) gid=0(root)
groups=0(root),1(bin),2(daemon),3(sys),4(adm),6(disk),10(wheel)
[root@localhost charles]# ls -la /sbin/losetup
-rwxr-xr-x  1 root root 37308 Sep 23 06:54 /sbin/losetup
Comment 3 Karel Zak 2005-10-21 08:55:38 EDT
Maybe I have a stupid question: do you write access to partition where is your
/sbin?
Comment 4 Charles Pearson 2005-10-23 22:12:08 EDT
I upgrade to Ubuntu.. and yes i have write acces to /sbin but the file don't
want tu be deleted:P

Note You need to log in before you can comment on or make changes to this bug.